## org.openorb.adapter
Interface TargetInfo

public interface TargetInfo

An object with this interface is output from the predispatch operation and is passed into the dispatch or cancel_dispatch operations. It holds information about the target.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood

Method Summary
`byte[]` `getAdapterID()` Adapter ID of the target adapter.
`byte[]` `getObjectID()` Object ID of the target.
`java.lang.String` `getRepositoryID()` Most derrived repository IDs supported by the target.
`boolean` `targetIsA(java.lang.String repo_id)` Test if the target supports the given repository id.

Method Detail

### getRepositoryID

    public java.lang.String getRepositoryID()

  Most derrived repository IDs supported by the target.

### targetIsA

    public boolean targetIsA(java.lang.String repo_id)

  Test if the target supports the given repository id.

### getAdapterID

    public byte[] getAdapterID()

  Adapter ID of the target adapter.

### getObjectID

    public byte[] getObjectID()

  Object ID of the target.